%define  upstream_name File_Iterator
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	1.3.1
Release:	%mkrel 1
Summary:	FilterIterator implementation that filters files based on a list of suffixes
License:	BSD
Group:		Development/PHP
URL:		http://pear.phpunit.de/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-channel-phpunit
BuildArch:	noarch
BuildRequires:	php-pear
BuildRequires:	php-channel-phpunit



%description
FilterIterator implementation that filters files based on a list of
suffixes.



%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_Iterator.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_Iterator.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/File_Iterator
fi

%files
%defattr(-,root,root)
%doc    docs/File_Iterator/ChangeLog.markdown
%doc    docs/File_Iterator/LICENSE
%doc    docs/File_Iterator/README.markdown
%{peardir}/File/Iterator.php
%{peardir}/File/Iterator/Factory.php
%{peardir}/File/Iterator/Autoload.php
%{peardir}/File/Iterator/Facade.php
%{xmldir}/File_Iterator.xml


%changelog

* Thu Jan 12 2012 spuhler <spuhler> 1.3.1-1.mga2
+ Revision: 195158
- upgrade to 1.3.1

* Mon Nov 14 2011 spuhler <spuhler> 1.3.0-1.mga2
+ Revision: 167489
- upgrade to 1.3.0

* Mon Jul 18 2011 spuhler <spuhler> 1.2.6-2.mga2
+ Revision: 125723
- revamped spec to pear style and adding the md5 test

* Mon Jul 11 2011 spuhler <spuhler> 1.2.6-1.mga2
+ Revision: 122018
- imported package php-pear-File_Iterator

